package org.apache.bcel.generic;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.bcel.generic.LocalVariableInstruction;
import org.apache.bcel.generic.PopInstruction;
import org.apache.bcel.generic.Visitor;

public abstract class StoreInstruction extends LocalVariableInstruction implements PopInstruction {
  StoreInstruction(short canonTag, short cTag) {
    super(canonTag, cTag);
  }
  
  protected StoreInstruction(short opcode, short cTag, int n) {
    super(opcode, cTag, n);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitPopInstruction(this);
    v.visitTypedInstruction(this);
    v.visitLocalVariableInstruction(this);
    v.visitStoreInstruction(this);
  }
}
